Namespaces | Macros | Functions
libvisio_xml.cpp File Reference
`#include "libvisio_xml.h"`
`#include <boost/lexical_cast.hpp>`
`#include "VSDTypes.h"`
`#include "libvisio_utils.h"`

## Namespaces
namespace | libvisio

## Macros
#define | BOOST_LEXICAL_CAST_ASSUME_C_LOCALE 1

## Functions
std::unique_ptr< xmlTextReader, void(*)(xmlTextReaderPtr)> | libvisio::xmlReaderForStream (librevenge::RVNGInputStream *input, XMLErrorWatcher *const watcher, bool recover)
Colour | libvisio::xmlStringToColour (const xmlChar *s)
Colour | libvisio::xmlStringToColour (const std::shared_ptr< xmlChar > &s)
long | libvisio::xmlStringToLong (const xmlChar *s)
long | libvisio::xmlStringToLong (const std::shared_ptr< xmlChar > &s)
double | libvisio::xmlStringToDouble (const xmlChar *s)
double | libvisio::xmlStringToDouble (const std::shared_ptr< xmlChar > &s)
bool | libvisio::xmlStringToBool (const xmlChar *s)
bool | libvisio::xmlStringToBool (const std::shared_ptr< xmlChar > &s)

## Macro Definition Documentation

## ◆ BOOST_LEXICAL_CAST_ASSUME_C_LOCALE

#define BOOST_LEXICAL_CAST_ASSUME_C_LOCALE 1